Debian Bug report logs - #267838
netcfg: DHCP installer -> STATIC target

version graph

Package: netcfg; Maintainer for netcfg is Debian Install System Team <debian-boot@lists.debian.org>; Source for netcfg is src:netcfg.

Reported by: Alex Owen <owen@cus.org.uk>

Date: Tue, 24 Aug 2004 16:33:04 UTC

Severity: wishlist

Tags: wontfix

Merged with 275360

Found in version 1.00

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#267838; Package netcfg. Full text and rfc822 format available.

Acknowledgement sent to Alex Owen <owen@cus.org.uk>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Alex Owen <owen@cus.org.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: netcfg: DHCP installer -> STATIC target
Date: Tue, 24 Aug 2004 17:26:11 +0100
Package: netcfg
Version: 1.00
Severity: wishlist

I configure my servers in my DHCP server with static IP's so that I can
boot them into a disaster recovery environment. I also use this static DHCP 
entry to do network configuration during install. I then have to
manually copy the information into a static stanza in
/etc/network/interfaces. It would be excelent if netcfg could use DHCP
to get IP, gateway, netmask, DNS servers... etc but then optionaly write them as static entries in /etc/network/interfaces /etc/resolv.conf etc...

Presumably a debconf question in the d-i of low priority defaulting to
the current behaviour would do the trick plus some logic to get the
answers from the DHCP response for the static config.

This would be a great feature!
Thanks
Alex Owen


-- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (400, 'testing'), (300, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.4.26-1-k7
Locale: LANG=C, LC_CTYPE=C



Merged 267838 275360. Request was from Joshua Kwan <joshk@triplehelix.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: d-i Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: d-i Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#267838; Package netcfg. (Mon, 11 Apr 2011 23:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matt Taggart <taggart@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 11 Apr 2011 23:15:03 GMT) Full text and rfc822 format available.

Message #16 received at 267838@bugs.debian.org (full text, mbox):

From: Matt Taggart <taggart@debian.org>
To: 267838@bugs.debian.org
Subject: RE: netcfg: DHCP installer -> STATIC target
Date: Mon, 11 Apr 2011 16:04:19 -0700
This wishlist bug seems like a pretty small corner case. First let
me restate it to make sure I understand correctly.

 You want d-i to do a dhcp request but then use the answers to
 define a static config.

Does that sound right? I guess I can understand wanting to do that,
maybe you don't want to depend on the dhcp server being up all the
time. But if implemented in the way you mention "Do you want to use
the dynamic answers you received as static values?" seems like a
violation of the nature of DHCP and would hurt more users than it would
possibly help.

I have a similar use case, I want to use a throw away dhcp assigned
address during boot and to load the preseed, but then I want to switch
to a static config. I use the preseed_run script idea documented in
the d-i manual to cause netcfg to rerun. Then later in the preseed
I define the network parameters.

http://d-i.alioth.debian.org/manual/en.amd64/apbs04.html#preseed-network

This could work for your case, but normally this would then mean you
would need one preseed per system, but maybe you could use the
early_command or include_command functions to save the dhcp answers
and set them?

http://d-i.alioth.debian.org/manual/en.amd64/apbs05.html#preseed-hooks

I think this bug might be wontfix.

--  
Matt Taggart
taggart@debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#267838; Package netcfg. (Tue, 12 Apr 2011 06:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 12 Apr 2011 06:18:03 GMT) Full text and rfc822 format available.

Message #21 received at 267838@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: Matt Taggart <taggart@debian.org>, 267838@bugs.debian.org
Cc: 267838-submitter@bugs.debian.org
Subject: Re: Bug#267838: netcfg: DHCP installer -> STATIC target
Date: Tue, 12 Apr 2011 06:39:29 +0200
[Message part 1 (text/plain, inline)]
tags 267838 wontfix
thanks

Quoting Matt Taggart (taggart@debian.org):
> This wishlist bug seems like a pretty small corner case. First let
> me restate it to make sure I understand correctly.
> 
>  You want d-i to do a dhcp request but then use the answers to
>  define a static config.
> 
> Does that sound right? I guess I can understand wanting to do that,
> maybe you don't want to depend on the dhcp server being up all the
> time. But if implemented in the way you mention "Do you want to use
> the dynamic answers you received as static values?" seems like a
> violation of the nature of DHCP and would hurt more users than it would
> possibly help.
> 
> I have a similar use case, I want to use a throw away dhcp assigned
> address during boot and to load the preseed, but then I want to switch
> to a static config. I use the preseed_run script idea documented in
> the d-i manual to cause netcfg to rerun. Then later in the preseed
> I define the network parameters.
> 
> http://d-i.alioth.debian.org/manual/en.amd64/apbs04.html#preseed-network
> 
> This could work for your case, but normally this would then mean you
> would need one preseed per system, but maybe you could use the
> early_command or include_command functions to save the dhcp answers
> and set them?
> 
> http://d-i.alioth.debian.org/manual/en.amd64/apbs05.html#preseed-hooks
> 
> I think this bug might be wontfix.


I agree entirely.

However, we need to include the original submmitter in the loop if we
want his|her advice..:-)

Hence doing so and, as the probability of your analysis being right is
very high, Matt, I already tag the bug report as wontfix.


[signature.asc (application/pgp-signature, inline)]

Added tag(s) wontfix. Request was from Christian PERRIER <bubulle@debian.org> to control@bugs.debian.org. (Tue, 12 Apr 2011 06:18:12 GMT) Full text and rfc822 format available.

Message sent on to Alex Owen <owen@cus.org.uk>:
Bug#267838. (Tue, 12 Apr 2011 06:18:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 13:27:43 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.